Subject: [Oletrucks] 54 rear end

From: Dustin Cross <[email-masked]>
Date: Fri, 5 Jun 2015 08:36:12 -0600 FILETIME=[F8D29810:01D09F9C]

I'm thinking about swapping my 51 to a later rear end to gain the open drive
shaft.  Is the 54-55 rear end a bolt in to the earlier advanced designs?

Does anyone on the list have a 54 rear end they'd like to part with?

Dustin
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive